---
updatedAt: 2026-03-31T12:12:41.000Z
agentTools:
  projectIndex: https://api.net2grid.com/llms.txt
---

# /profile/attributes

Updates the installation profile of the user with the provided installation properties
            (attributes), appliances or metadata of the appliances.

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "title": "NET2GRID Customer Engagement API",
    "description": "This is the B2C NET2GRID API that can be used by mobile and web apps to manage the accounts and the data that are provided by the NET2GRID Meter Data Analytics Platform.",
    "version": "13.6.0"
  },
  "servers": [
    {
      "url": "http://api.net2grid.docker",
      "description": "API server"
    }
  ],
  "paths": {
    "/v2/profile/attributes": {
      "post": {
        "tags": [
          "Installation Profile"
        ],
        "summary": "/profile/attributes",
        "description": "Updates the installation profile of the user with the provided installation properties\n            (attributes), appliances or metadata of the appliances.",
        "operationId": "v2/postInstallationProfile",
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/ProfileAttributesDataDTO"
              },
              "examples": {
                "PostMinimalProfileInformationExample": {
                  "$ref": "#/components/examples/PostMinimalProfileInformationExample"
                },
                "PostNormalProfileInformationExample": {
                  "$ref": "#/components/examples/PostNormalProfileInformationExample"
                },
                "PostFullProfileInformationExample": {
                  "$ref": "#/components/examples/PostFullProfileInformationExample"
                },
                "PostFullProfileInformationExampleWithMultipleHeatingOptions": {
                  "$ref": "#/components/examples/PostFullProfileInformationExampleWithMultipleHeatingOptions"
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/OkResponseDTO"
                },
                "examples": {
                  "OkResponse": {
                    "$ref": "#/components/examples/OkResponse"
                  }
                }
              }
            }
          },
          "400": {
            "description": "Invalid request<br/>113: Gateway not found\n    <br/>152: User does not have a valid household object\n    <br/>185: Labelpartner not specified for household\n    <br/>265: Unexpected exception while retrieving customer information\n    <br/>400: User not provisioned<br/>999: Unspecified Error",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponseDTO"
                }
              }
            }
          }
        },
        "security": [
          {
            "bearerAuth": []
          }
        ]
      }
    }
  },
  "components": {
    "schemas": {
      "ProfileAttributesDataDTO": {
        "properties": {
          "Attributes": {
            "properties": {
              "PropertyLocation": {
                "description": "Property Location",
                "type": "string"
              },
              "PropertyCountry": {
                "description": "Property country",
                "type": "string"
              },
              "PropertyType": {
                "description": "Property type",
                "type": "string"
              },
              "PropertySize": {
                "description": "Property size",
                "type": "string"
              },
              "PropertyAge": {
                "description": "Property age",
                "type": "string"
              },
              "Ownership": {
                "description": "Property ownership",
                "type": "string"
              },
              "Occupants": {
                "description": "Number of occupants",
                "type": "string"
              },
              "OccupantType": {
                "description": "Occupant type",
                "type": "string"
              },
              "SpaceHeating": {
                "description": "Space heating type",
                "type": "string"
              },
              "WaterHeating": {
                "description": "Water heating type",
                "type": "string"
              },
              "StoveHeating": {
                "description": "Stove heating type",
                "type": "string"
              },
              "GrillHeating": {
                "description": "Grill heating type",
                "type": "string"
              },
              "OvenHeating": {
                "description": "Oven heating type",
                "type": "string"
              },
              "SpaceHeatingExchangerType": {
                "description": "Space heating exchanger type",
                "type": "string"
              },
              "Photovoltaic": {
                "description": "Photovoltaic solar power",
                "type": "string"
              }
            },
            "type": "object",
            "additionalProperties": {
              "description": "Additional properties",
              "type": "string"
            }
          },
          "Appliances": {
            "description": "Optional list of all the appliances and the amount of them that a user has.",
            "type": "object",
            "additionalProperties": {
              "type": "integer"
            }
          },
          "ApplianceMetadata": {
            "type": "object",
            "additionalProperties": {
              "type": "array",
              "items": {
                "properties": {
                  "description": {
                    "description": "Appliance description",
                    "type": "string"
                  },
                  "id": {
                    "description": "Appliance ID",
                    "type": "string"
                  },
                  "applianceAge": {
                    "description": "Appliance age",
                    "type": "string"
                  },
                  "applianceType": {
                    "description": "Appliance type",
                    "type": "string"
                  },
                  "applianceVolume": {
                    "description": "Appliance volume",
                    "type": "string"
                  },
                  "applianceSetup": {
                    "description": "Appliance setup",
                    "type": "string"
                  },
                  "batterySize": {
                    "description": "Size of the battery in kWh",
                    "type": "string"
                  },
                  "brand": {
                    "description": "Appliance brand",
                    "type": "string"
                  }
                },
                "type": "object",
                "additionalProperties": {
                  "description": "Additional properties",
                  "type": "string"
                }
              }
            }
          }
        },
        "type": "object"
      },
      "ErrorDTO": {
        "properties": {
          "code": {
            "type": "integer"
          },
          "message": {
            "type": "string"
          }
        },
        "type": "object"
      },
      "ErrorResponseDTO": {
        "properties": {
          "status": {
            "type": "string"
          },
          "error": {
            "$ref": "#/components/schemas/ErrorDTO"
          }
        },
        "type": "object"
      },
      "OkResponseDTO": {
        "required": [
          "status",
          "message"
        ],
        "properties": {
          "status": {
            "type": "string"
          },
          "message": {
            "type": "string"
          }
        },
        "type": "object"
      }
    },
    "examples": {
      "OkResponse": {
        "summary": "Success response",
        "value": {
          "status": "ok",
          "message": "ok"
        }
      },
      "PostMinimalProfileInformationExample": {
        "summary": "Post Minimal Profile Information request body.",
        "value": {
          "Attributes": {
            "PropertyLocation": "52100",
            "PropertyCountry": "GR",
            "PropertySize": "PS.04",
            "PropertyType": "PT.01",
            "SpaceHeating": "SH.01",
            "WaterHeating": "WH.01"
          }
        }
      },
      "PostNormalProfileInformationExample": {
        "summary": "Post Normal Profile Information request body.",
        "value": {
          "Attributes": {
            "PropertyLocation": "52100",
            "PropertyCountry": "GR",
            "PropertySize": "PS.04",
            "PropertyType": "PT.01",
            "SpaceHeating": "SH.01",
            "WaterHeating": "WH.01",
            "PropertyAge": "PA.02",
            "Occupants": "OCC.01",
            "OccupantType": "OT.01",
            "Photovoltaic": "SOL.01",
            "OvenHeating": "OH.00"
          },
          "Appliances": {
            "A.01": 1,
            "A.11": 1,
            "A.10": 1,
            "A.12": 1,
            "A.04": 1,
            "A.07": 1,
            "A.17": 2,
            "A.20": 1,
            "A.21": 1,
            "A.22": 1,
            "A.23": 1,
            "A.24": 1,
            "A.25": 1
          },
          "ApplianceMetadata": {
            "A.10": [
              {
                "description": "basement",
                "id": "8b46ed4cc7945bd9",
                "applianceAge": "AA.03",
                "applianceType": "DT.02",
                "applianceVolume": "AV.01",
                "brand": "Bosch"
              }
            ],
            "A.11": [
              {
                "description": "1st floor",
                "id": "0991b544386a6038",
                "applianceAge": "AA.03",
                "applianceType": "WT.01",
                "applianceVolume": "AV.02",
                "brand": "Bosch"
              }
            ]
          }
        }
      },
      "PostFullProfileInformationExample": {
        "summary": "Post Full Profile Information request body.",
        "value": {
          "Attributes": {
            "PropertyLocation": "52100",
            "PropertyCountry": "GR",
            "PropertySize": "PS.04",
            "PropertyType": "PT.01",
            "PropertyAge": "PA.02",
            "Ownership": "OWN.01",
            "Occupants": "OCC.01",
            "OccupantType": "OT.01",
            "SpaceHeating": "SH.01",
            "WaterHeating": "WH.06",
            "StoveHeating": "STH.00",
            "GrillHeating": "GH.01",
            "OvenHeating": "OH.00",
            "SpaceHeatingExchangerType": "SHET.01",
            "Photovoltaic": "SOL.01"
          },
          "Appliances": {
            "A.01": 1,
            "A.02": 1,
            "A.03": 1,
            "A.04": 1,
            "A.05": 3,
            "A.06": 1,
            "A.07": 1,
            "A.08": 2,
            "A.09": 1,
            "A.10": 2,
            "A.11": 1,
            "A.12": 1,
            "A.13": 2,
            "A.14": 1,
            "A.15": 1,
            "A.16": 1,
            "A.17": 1,
            "A.18": 1,
            "A.19": 2,
            "A.20": 1,
            "A.21": 1,
            "A.22": 1,
            "A.23": 1,
            "A.24": 1,
            "A.25": 1,
            "A.26": 1,
            "A.27": 2,
            "A.28": 1,
            "A.29": 1,
            "A.30": 1
          },
          "ApplianceMetadata": {
            "A.10": [
              {
                "description": "basement",
                "id": "8b46ed4cc7945bd9",
                "applianceAge": "AA.03",
                "applianceType": "DT.02",
                "applianceVolume": "AV.01",
                "brand": "Bosch"
              },
              {
                "description": "main-floor",
                "id": "665ads65ad565",
                "applianceAge": "AA.01",
                "applianceType": "DT.01",
                "applianceVolume": "AV.01",
                "brand": "Bosch"
              }
            ],
            "A.11": [
              {
                "description": "1st floor",
                "id": "0991b544386a6038",
                "applianceAge": "AA.03",
                "applianceType": "WT.01",
                "applianceVolume": "AV.02",
                "brand": "Bosch"
              }
            ],
            "A.29": [
              {
                "description": "Battery Energy Storage System",
                "id": "8881b544386a6039",
                "batterySize": "5"
              }
            ],
            "A.30": [
              {
                "description": "1st floor",
                "id": "d23ed23ed243eefd3",
                "applianceType": "air-to-air",
                "applianceSetup": "full-electric"
              }
            ]
          }
        }
      },
      "PostFullProfileInformationExampleWithMultipleHeatingOptions": {
        "summary": "Post Full Profile Information With Multiple Heating Options request body.",
        "value": {
          "Attributes": {
            "PropertyLocation": "52100",
            "PropertyCountry": "GR",
            "PropertySize": "PS.04",
            "PropertyType": "PT.01",
            "PropertyAge": "PA.02",
            "Ownership": "OWN.01",
            "Occupants": "OCC.01",
            "OccupantType": "OT.01",
            "SpaceHeating": "SH.01,SH.02,SH.05",
            "WaterHeating": "WH.06,WH.07",
            "StoveHeating": "STH.00",
            "GrillHeating": "GH.01",
            "OvenHeating": "OH.00",
            "SpaceHeatingExchangerType": "SHET.01",
            "Photovoltaic": "SOL.01"
          },
          "Appliances": {
            "A.01": 1,
            "A.02": 1,
            "A.03": 1,
            "A.04": 1,
            "A.05": 3,
            "A.06": 1,
            "A.07": 1,
            "A.08": 2,
            "A.09": 1,
            "A.10": 2,
            "A.11": 1,
            "A.12": 1,
            "A.13": 2,
            "A.14": 1,
            "A.15": 1,
            "A.16": 1,
            "A.17": 1,
            "A.18": 1,
            "A.19": 2,
            "A.20": 1,
            "A.21": 1,
            "A.22": 1,
            "A.23": 1,
            "A.24": 1,
            "A.25": 1,
            "A.26": 1,
            "A.27": 2,
            "A.28": 1,
            "A.29": 1,
            "A.30": 2
          },
          "ApplianceMetadata": {
            "A.10": [
              {
                "description": "basement",
                "id": "8b46ed4cc7945bd9",
                "applianceAge": "AA.03",
                "applianceType": "DT.02",
                "applianceVolume": "AV.01",
                "brand": "Bosch"
              },
              {
                "description": "main-floor",
                "id": "665ads65ad565",
                "applianceAge": "AA.01",
                "applianceType": "DT.01",
                "applianceVolume": "AV.01",
                "brand": "Bosch"
              }
            ],
            "A.11": [
              {
                "description": "1st floor",
                "id": "0991b544386a6038",
                "applianceAge": "AA.03",
                "applianceType": "WT.01",
                "applianceVolume": "AV.02",
                "brand": "Bosch"
              }
            ],
            "A.29": [
              {
                "description": "Battery Energy Storage System",
                "id": "8881b544386a6039",
                "batterySize": "5"
              }
            ],
            "A.30": [
              {
                "description": "1st floor",
                "id": "d23ed23ed243eefd3",
                "applianceType": "air-to-air",
                "applianceSetup": "full-electric"
              },
              {
                "description": "2nd floor",
                "id": "d23ed23ed243eefd4",
                "applianceType": "air-to-water",
                "applianceSetup": "hybrid"
              }
            ]
          }
        }
      }
    },
    "securitySchemes": {
      "bearerAuth": {
        "type": "http",
        "bearerFormat": "JWT",
        "scheme": "bearer"
      }
    }
  },
  "tags": [
    {
      "name": "Installation Profile"
    }
  ],
  "x-explorer-enabled": false
}
```